Skip to main content

DeleteBucketTagging

Deletes the tags from the specified bucket.

Description​

The DeleteBucketTagging operation removes all tags from the specified bucket. Tags are key-value pairs that can be used to categorize storage.

note
  • To use this operation, you must have permission to perform the s3:PutBucketTagging action.
  • This operation will succeed even if there are no tags on the bucket.
  • After deleting the tags, the bucket will have no tags associated with it.

Request Syntax​

DELETE /?tagging HTTP/1.1
Host: BucketName.qstorage.quilibrium.com
x-amz-expected-bucket-owner: OwnerAccountId
Values in italics indicate user input and should be replaced with actual values.

This operation does not have a request body.

Request Parameters​

Headers​

NameDescriptionRequiredType
x-amz-expected-bucket-ownerThe account ID of the expected bucket ownerNotext

Examples​

Example 1: Delete tags from a bucket​

DELETE /?tagging HTTP/1.1
Host: my-bucket.qstorage.quilibrium.com
Values in italics indicate user input and should be replaced with actual values.
HTTP/1.1 204
x-amz-id-2: Example7qoYGN7uMuFuYS6m7a4l
x-amz-request-id: TX234S0F24A06C7
Date: Wed, 01 Mar 2024 12:00:00 GMT
Values in italics indicate variable response values.

Response Syntax​

HTTP/1.1 204
x-amz-id-2: RequestId
x-amz-request-id: AmazonRequestId
Date: ISO8601Date
Values in italics indicate variable response values.

Response Elements​

Response Headers​

NameDescriptionRequiredType
x-amz-id-2An identifier for the requestNoString
x-amz-request-idA unique identifier for the requestNoString
DateThe date and time at which the response was sentNoString

Special Errors​

Error CodeDescription
NoSuchBucketThe specified bucket does not exist
403Forbidden. Authentication failed or you do not have permission to delete the bucket tags

Permissions​

You must have the s3:PutBucketTagging permission.

Try It Out​

Test DeleteBucketTagging

Delete all tags from a bucket.

Coming Soon

This feature is currently under development and will be available soon.